×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Regular Contributor
    Join Date
    Oct 2008
    Posts
    50

    Unhappy problem running carbide v1.2

    hi ..

    I wanted to develop appliactions for my Nokia N70 phone which is 2nd Edition FP3. I have windows Vista Home Basic in my personal system. For windows Vista I installed active pearl 5.8.8. Then i installed S60 2nd Edition FP3. And finally Carbide v1.2. But when i started Carbide v1.2, it gave an error message saying view the log file in C:\symbian\workspace\meta. I viewed the log file and it was written:

    Active Pearl 5.6.1 not found.

    Now if i cannot install Active pearl 5.6.1 on Vista, what is the other option?

    Please suggest something..

    many Thanks..

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: problem running carbide v1.2

    Who says you can't install Active Perl on Vista? See S60 SDK and tools on Windows Vista - a success story and S60 development on Windows 7
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  3. #3
    Regular Contributor
    Join Date
    Oct 2008
    Posts
    50

    Re: problem running carbide v1.2

    thanks Itomuta..

    Actually I have Vista Home Basic and there are slight differences in Vista Home Basic and Home Premium. I also tried to reinstall Active Pearl 5.6.1 after going through the link you sent, the setup ended prematurely..

    I am not saying that Active Pearl doesnot work for Vista. Active Pearl 5.8.8 works fine for Vista..

    But Carbide v1.2 looks for Active Pearl 5.6.1...

  4. #4
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,347

    Re: problem running carbide v1.2

    Quote Originally Posted by vidhu.0007 View Post
    thanks Itomuta..

    Actually I have Vista Home Basic and there are slight differences in Vista Home Basic and Home Premium. I also tried to reinstall Active Pearl 5.6.1 after going through the link you sent, the setup ended prematurely..

    I am not saying that Active Pearl doesnot work for Vista. Active Pearl 5.8.8 works fine for Vista..

    But Carbide v1.2 looks for Active Pearl 5.6.1...
    You may also want to check this Wiki page: Moving to Windows Vista. And Carbide is right about selecting proper perl version, i.e 5.6.1(It will save your lots of time if you follow what release note says). Make sure that you do not have previous entries for Perl 5.8.8. And check in your environment path for Perl path. If you have installed Perl 5.6.1 with default installation steps then, "C:\Perl\bin" should be there in the PATH environment variable.

    If you have already tried Lucian's links and if those didn't work for you then check the Wiki page I suggested because I had some peculiarities with setting up whole environment on Windows Vista and that article helped me lot.
    Nokia Developer Wiki Moderation team

  5. #5
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: problem running carbide v1.2

    See if opting for either .exe or .msi version of the installer makes any difference. Also an option is to set the installer in Windows XP compatibility mode.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  6. #6
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Angry Re: problem running carbide v1.2

    If all fails, at http://downloads.activestate.com/Act...l/Windows/5.6/ you can find a zipped version of Perl (ActivePerl-5.6.1.638-MSWin32-x86.zip). You may have better luck with that.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  7. #7
    Regular Contributor
    Join Date
    Oct 2008
    Posts
    50

    Smile Re: problem running carbide v1.2

    Thanks Itomuta and Kiran...

    The final result is that I am able to run carbide v1.2 on my Vista Home Basic. I followed all the steps in provided on :

    http://wiki.forum.nokia.com/index.ph..._Windows_Vista

    1. I uninstalled the earlier version of active perl 5.8.8 and installed the active perl 5.6.1 build 638.

    2. I copied the shortcut of carbide v1.2 on the desktop and in the properties>compatibility>run this program for compatibility mode Windows XP(SP2).

    The carbide v1.2 is running successfully...

    Thanks once again...

  8. #8
    Registered User
    Join Date
    May 2009
    Location
    Toronto, Canada
    Posts
    13

    Re: problem running carbide v1.2

    if you've installed Carbide, SDK and the correct version of Perl and it's still not finding Perl, then you need to do the following:
    Like kiran10182 said in this post above, you need to check the path.
    It's likely that the perl path was not registered properly with Vista.
    1. open command prompt and type "path" then hit enter, it'll show you the all the paths that vista is seeing.
    2. If you can't find anything related to perl in the paths, then you need to simply added (provided that you've already installed the correct Perl and that you know where the perl.exe file is located on your system). To add it, look it up on google how to add environment path for vista. It's somewhere in the Control Panel under system. On the other hand, if you find a perl path, make sure it's the right one and that it contains the perl.exe.
    3. reboot your computer for the path registration to take effect
    4. go to command prompt again and type "path" and make sure the perl path is there.
    5. do what's said in this thread: that is copy the Carbide launch shortcut from the start menu to the desktop and set it to XP(SP2) compatibility and run as Admin.

    Problem should be solved...

Similar Threads

  1. Carbide 1.1 C++ : mbg file problem
    By taycho1 in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 5
    Last Post: 2008-07-21, 13:02
  2. Problem with tag-touch while midlet running
    By cde in forum Near Field Communication
    Replies: 3
    Last Post: 2007-11-28, 14:32
  3. Carbide C++ IDE problem
    By saha_forumnokia in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 2
    Last Post: 2007-11-13, 16:12
  4. Dll using problem in Carbide developer version
    By 3rdparty in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 6
    Last Post: 2007-03-26, 13:41
  5. Replies: 0
    Last Post: 2006-09-28, 08:56

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×